---
title: Policy Confirmation
description: Confirm that an insurance policy has been issued by the insurance company with policy certificate details.
---

This API will confirm that the policy has been issued by the insurance company. We must pass policy id, amount, provider id, ses code, order id, policy name, customer details, status, category, and policy certificate in request. If the request has valid details, we will get a success response.

POST

```
https://kraken.airpay.co.in/airpay/ms/insurance/api/policy-confirmation
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| Content-Type  required | String | Value : application/x-www-form-urlencoded | `application/x-www-form-urlencodeds` |
| processor-key  required | String<br>(`1-20`) | Authentication key for airpay | `xvAvkuxKczNf8sapHZv5ia9qzPEB9iPRvtLr4iJn4SzmMjfuWgVvSsXvyw==` |
| checksum  required | String | Sha256 of value of hash('sha256','(orderid)(affiliateid)(ampunt)(policytype)(companyid), processor-key) | `d1e2629f8b5818all186a4b7d8e5d9a03b6aef297842ec571ad0cc2278bcfcf93` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| policy_id  required | numeric | Insurance policy id | `2307` |
| amount  required | numeric | The premium amount that will be deducted by insurance company (length 10,2, required) | `1` |
| provider_id  required | string | Insurance provider id | `7` |
| ses_code  required | string | This should be encoded secret key provided by airpay when order creation | `dbad39fd18d5e4fc9c9ad6a14466a624faed3a91fb035ca0062f6b1e39ea4a05` |
| order_id  required | string  <br>(20) | Reference txnid shared by affiliate while initiating the transaction | `MAWEB169941644078436` |
| policy_name  required | string | Policy name |
| customer_mobile_number  required | numeric | Customer mobile number |
| customer_name  required | string | Customer name |
| customer_email_id  required | string | Customer email id |
| status  required | string | Status | `1` |
| cat  optional | string | This is insurance category. It will redirect to insurer landing page of that category | `Health` |
| policy_certificate  required | string | Reference txnid shared by affiliate while initiating the transaction | `UEsDBZQABgtIAAAAIQAHnKgpxQEAAOgJAAATAAgCW0NvbnRl` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Numeric | api status [1- success,0-fail] (length 1) | `1,0` |
| data  required | Jsonarray | data provided will be with orderid |
| message  required | string<br>(`1-50`) | message | `success,Duplicate Order` |

## Request Example

```
curl --location 'https://kraken.airpay.co.in/airpay/ms/insurance/api/policy-confirmation' \
--header 'content_type: application/x-www-form-urlencoded' \
--header 'processor-key: xvIvkuxKczCf8kapHZv5ia9qzPEB9iPRvtLr4iJn4SzmMjfuWgVvSsXvyw==' \
--header 'checksum: 26f4d971d9c811b5a6322f97411edbebb5d353580aea15e3ea8a41d6da20cf3a' \
--header 'Cookie: _csrf=103936bf306d2098165c59d08c9288e68459dcac68bba4d83cdb7c0a17163ea6a%3A2%3A%7Bi%3A0%3Bs%3A5%3A%22_csrf%22%3Bi%3A1%3Bs%3A32%3A%22XORQcv-kviZ_teErDmi5drwuAhdUQpZE%22%3B%7D' \
--data-raw '{
   "policy_id": "2317",
   "provider_id": "24",
   "ses_code": "e9699473674b2597f4965d9a2f0y2fa06f5be6cdf6dbc06ac16f322e49366b8bf",
   "amount": "1.00",
   "order_id": "MAWEB169941644078436",
   "status": "1",
   "cat": "Health",
   "policy_certificate": "UEsDBZQABgtIAAAAIQAHnKgpxQEAAOgJAAATAAgCW0NvbnRl"
}'
```

### Success Response

```
{
    "status": "1",
    "data": [],
    "message": "success"
}
```

### Error Response

```
{
    "status": "0",
    "data": [],
    "message": "Duplicate Order"
}
```